Bug 735375 - Base option in config file ignored if host set with DNS SRV record
Summary: Base option in config file ignored if host set with DNS SRV record
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pam_ldap
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-02 14:27 UTC by Kha Do
Modified: 2018-11-26 18:45 UTC (History)
5 users (show)

Fixed In Version: pam_ldap-185-11.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:34:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1701 normal SHIPPED_LIVE pam_ldap bug fix update 2011-12-06 00:49:50 UTC

Description Kha Do 2011-09-02 14:27:58 UTC
Description of problem:

When trying to use DNS SRV records to set the host option for pam_ldap in RHEL 6, the base option is set to the DNS domainname ignoring any value that's set for base in the pam_ldap.conf file.

Version-Release number of selected component (if applicable):
pam_ldap-185-8.el6

How reproducible:
Very

Steps to Reproduce:
1. Have DNS SRV record for LDAP server
2. Remove host option from pam_ldap.conf and set base option to something other than domain name
3. Enable debugging and see that the base is being set to the domain name
  
Actual results:
Base is set to the domain name so ldap lookups fail

Expected results:
Base is set to the value in pam_ldap.conf

Additional info:
Might be able to just change _pam_ldap_readconfigfromdns to check whether result->base is NULL before overwriting it

Comment 3 Nalin Dahyabhai 2011-09-12 21:27:46 UTC
(In reply to comment #0)
> Additional info:
> Might be able to just change _pam_ldap_readconfigfromdns to check whether
> result->base is NULL before overwriting it

The "base" setting in the configuration file is parsed before the configuration is read from DNS, so it should actually be as simple as that.

Comment 5 Ondrej Moriš 2011-10-06 08:47:08 UTC
Nalin, is a patch for this applied in pam_ldap-185-11.el6 applied? I do not see it. Am I wrong? If so, could you point me to it? The latest version of pam_ldap still ignores "base" setting.

Comment 6 Nalin Dahyabhai 2011-10-06 19:15:00 UTC
The pam_ldap-185-dnsconfig.patch was updated to handle the case.

Comment 7 Ondrej Moriš 2011-10-07 12:57:28 UTC
Of course you're right Nalin, there was a flaw in my settings, everything works fine now.

Comment 9 errata-xmlrpc 2011-12-06 17:34:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1701.html


Note You need to log in before you can comment on or make changes to this bug.